#!/bin/bash

#$ -S /bin/bash
#$ -N PredictorExtract

#$ -o /work/$USER/$JOB_NAME-$JOB_ID.log
#$ -j y

#$ -l h_rt=00:30:00:00
#$ -l h_vmem=4G

#$ -pe smp 12-32

#$ -cwd
module load GCC/8.3.0
module load OpenMPI/3.1.4
module load R/3.6.2

filename="$1"
shift 

output=/data/splot/_data_splot3/output_pred/$(basename "$filename" .tif).csv

Rscript \
    cli_A98.r \
    --cores "${NSLOTS:-1}" \
    --typp "raster" \
    --chunk.i 1 \
    --chunkn 1 \
    /data/splot/_data_splot3/header.shp.shp \
    "robust.mean" \
    "$output" \
    "$filename"
